Create GCP credentials set
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/gcp/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gcp_credentials": "<string>",
"credential_type": "SERVICE_ACCOUNT_KEY"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/gcp/credentials"
payload = {
"name": "<string>",
"gcp_credentials": "<string>",
"credential_type": "SERVICE_ACCOUNT_KEY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
gcp_credentials: '<string>',
credential_type: 'SERVICE_ACCOUNT_KEY'
})
};
fetch('https://api.qovery.com/organization/{organizationId}/gcp/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"access_key_id": "<string>",
"object_type": "AWS"
}Cloud Provider Credentials
Create GCP credentials set
POST
/
organization
/
{organizationId}
/
gcp
/
credentials
Create GCP credentials set
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Body
application/json
Response
Credentials created
- AwsStaticClusterCredentials
- ScalewayClusterCredentials
- GenericClusterCredentials
- AwsRoleClusterCredentials
- EksAnywhereVsphereClusterCredentials
- AzureStaticClusterCredentials
- GcpStaticClusterCredentials
- GcpWorkloadIdentityFederationClusterCredentials
Was this page helpful?
⌘I